onEvent('item.modification', e => {
  let colors = [`white`, `light_gray`, `gray`, `black`, `red`, `orange`, `yellow`, `lime`, `green`, `light_blue`, `cyan`, `blue`, `purple`, `magenta`, `pink`, `brown`]

  function modifyStack(listOfItems, countPerStack) {
    listOfItems.forEach(item => {
      e.modify(item, item => item.maxStackSize = countPerStack)
    })
  }

  
/* =====stack to 64===== */
  modifyStack([
    /^industrialforegoing:.*addon.*/,
    'minecraft:ender_pearl',
    'minecraft:egg',
    'minecraft:honey_bottle',
    'minecraft:snowball',
    'minecraft:armor_stand',
    'minecraft:bucket',
    'minecraft:oak_sign',
    'minecraft:spruce_sign',
    'minecraft:oak_sign',
    'minecraft:spruce_sign',
    'minecraft:birch_sign',
    'minecraft:acacia_sign',
    'minecraft:jungle_sign',
    'minecraft:dark_oak_sign',
    'minecraft:crimson_sign',
    'minecraft:warped_sign',
    
    'powah:charged_snowball',
    
    'mekanism:upgrade_speed',
    'mekanism:upgrade_energy',
    'mekanism:upgrade_filter',
    'mekanism:upgrade_muffling',
    'mekanism:upgrade_gas',
    'mekanism:upgrade_anchor',
    'thermal:explosive_grenade',
    'thermal:slime_grenade',
    'thermal:redstone_grenade',
    'thermal:glowstone_grenade',
    'thermal:ender_grenade',
    'thermal:earth_grenade',
    'thermal:fire_grenade',
    'thermal:ice_grenade',
    'thermal:lightning_grenade',
    'bloodmagic:voidsigil',
    'extendedcrafting:ultimate_singularity'
  ], 64)

  colors.forEach(color => {
    e.modify(`minecraft:${color}_banner`, item => item.maxStackSize = 64)
  })

  /* =====stack to 16===== */
  modifyStack([
    
	
  ], 16)

  //===== stack to 1 =====//
  modifyStack([
    'minecraft:mushroom_stew',
    'minecraft:beetroot_soup'
  ], 1)

})

